Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.filter.authorization
Class R01FTargetCtx

    java.lang.Object
      com.ejie.r01f.servlet.filter.authorization.R01FTargetCtx

All Implemented Interfaces:
  java.io.Serializable

public class R01FTargetCtx
extends java.lang.Object
implements java.io.Serializable

Recurso al que se necesita autorizacion para acceder

See Also:
  Serialized Form

Nested Class Summary
`class` | `R01FTargetCtx.ResourceCtx` Item perteneciente al recurso

Field Summary
`java.util.Map` | `authorizedResources`
`R01FTargetCfg` | `targetCfg`

Constructor Summary
`R01FTargetCtx(R01FTargetCfg cfg, java.util.Map items)` Constructor

Method Summary
`R01FResourceCtx` | `getAuthorizedResource(java.lang.String itemOID)` Devuelve un item autorizado en base a su OID
`java.util.Iterator` | `getAuthorizedResourcesIterator()` Devuelve un iterador sobre los items autorizados
`R01FTargetCfg` | `getTargetCfg()` Configuracion de seguridad de recurso que se está utilizando
`boolean` | `isValid()` Comprueba si el objeto es valido
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### targetCfg

    public R01FTargetCfg targetCfg

### authorizedResources

    public java.util.Map authorizedResources

Constructor Detail

### R01FTargetCtx

    public R01FTargetCtx(R01FTargetCfg cfg,
                         java.util.Map items)

  Constructor

Parameters:
  `cfg` - Configuracion
  `items` - Elementos

Method Detail

### getTargetCfg

    public R01FTargetCfg getTargetCfg()

  Configuracion de seguridad de recurso que se está utilizando

### getAuthorizedResourcesIterator

    public java.util.Iterator getAuthorizedResourcesIterator()

  Devuelve un iterador sobre los items autorizados

  Returns:
    Un iterador

### getAuthorizedResource

    public R01FResourceCtx getAuthorizedResource(java.lang.String itemOID)

  Devuelve un item autorizado en base a su OID

  Parameters:
    `itemOID` - El oid del item autorizado
  Returns:
    Un objeto con la info de autorizacion sobre el item

### isValid

    public boolean isValid()

  Comprueba si el objeto es valido

  Returns:
    true si el objeto es valido y false si no es asín

### toXML

    public java.lang.String toXML()
                           throws XOMarshallerException

  Throws:
    `XOMarshallerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD